Search documentation of tiger_stripe

# Stripe.Services.Treasury.InboundTransferService (tiger_stripe v0.1.1)

Copy Markdown View Source

TreasuryInboundTransfersResourceInboundTransfer

Use InboundTransfers to add funds to your FinancialAccount via a PaymentMethod that is owned by you. The funds will be transferred via an ACH debit.

Related guide: Moving money with Treasury using InboundTransfer objects

## Summary

### Functions

cancel(client, inbound_transfer, params \\ %{}, opts \\ [])

Cancel an InboundTransfer

create(client, params \\ %{}, opts \\ [])

Create an InboundTransfer

list(client, params \\ %{}, opts \\ [])

List all InboundTransfers

retrieve(client, id, params \\ %{}, opts \\ [])

Retrieve an InboundTransfer

## Functions

# cancel(client, inbound_transfer, params \\ %{}, opts \\ [])

    @spec cancel(Stripe.Client.t(), String.t(), map(), keyword()) ::
      {:ok, term()} | {:error, Stripe.Error.t()}

Cancel an InboundTransfer

Cancels an InboundTransfer.

# create(client, params \\ %{}, opts \\ [])

    @spec create(Stripe.Client.t(), map(), keyword()) ::
      {:ok, term()} | {:error, Stripe.Error.t()}

Create an InboundTransfer

Creates an InboundTransfer.

# list(client, params \\ %{}, opts \\ [])

    @spec list(Stripe.Client.t(), map(), keyword()) ::
      {:ok, term()} | {:error, Stripe.Error.t()}

List all InboundTransfers

Returns a list of InboundTransfers sent from the specified FinancialAccount.

# retrieve(client, id, params \\ %{}, opts \\ [])

    @spec retrieve(Stripe.Client.t(), String.t(), map(), keyword()) ::
      {:ok, term()} | {:error, Stripe.Error.t()}

Retrieve an InboundTransfer

Retrieves the details of an existing InboundTransfer.